KPropsDlgPlugin class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KPropsDlgPlugin Class Reference

A Plugin in the Properties dialog This is an abstract class. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KPropsDlgPlugin:

[legend]
Collaboration diagram for KPropsDlgPlugin:

[legend]
List of all members.

## Public Slots
void | setDirty ()
## Signals
void | changed ()
| Emit this signal when the user changed anything in the plugin's tabs.
## Public Member Functions
| KPropsDlgPlugin (KPropertiesDialog *_props)
| Constructor To insert tabs into the properties dialog, use the add methods provided by KDialogBase (the properties dialog is a KDialogBase).
virtual void | applyChanges ()
| Applies all changes to the file.
void | setDirty (bool b)
bool | isDirty () const
## Static Public Member Functions
bool | isDesktopFile (KFileItem *_item)
| Convenience method for most ::supports methods.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
KPropertiesDialog * | properties
| Pointer to the dialog.
int | fontHeight

## Detailed Description

A Plugin in the Properties dialog This is an abstract class.

You must inherit from this class to build a new kind of page. A plugin in itself is just a library containing code, not a dialog's page. It's up to the plugin to insert pages into the parent dialog.

To make a plugin available, define a service that implements the KPropsDlg/Plugin servicetype, as well as the mimetypes for which the plugin should be created. For instance, ServiceTypes=KPropsDlg/Plugin,text/html,application/x-mymimetype.

You can also include X-KDE-Protocol=file if you want that plugin to be loaded only for local files, for instance.

Definition at line 334 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KPropsDlgPlugin::KPropsDlgPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor To insert tabs into the properties dialog, use the add methods provided by KDialogBase (the properties dialog is a KDialogBase). Definition at line 535 of file kpropertiesdialog.cpp. References KPropertiesDialog::dialog(), and properties.

## Member Function Documentation

void KPropsDlgPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented in KFileSharePropsPlugin, KFileMetaPropsPlugin, KFilePropsPlugin, KFilePermissionsPropsPlugin, KExecPropsPlugin, KURLPropsPlugin, KApplicationPropsPlugin, KBindingPropsPlugin, and KDevicePropsPlugin. Definition at line 586 of file kpropertiesdialog.cpp. Referenced by KPropertiesDialog::slotOk().

bool KPropsDlgPlugin::isDesktopFile | ( | KFileItem * | _item | ) | `[static]`

| Convenience method for most ::supports methods. Returns: true if the file is a local, regular, readable, desktop file Definition at line 549 of file kpropertiesdialog.cpp. References QFile::encodeName(), QString::fromLatin1(), KFileItem::isLocalFile(), KFileItem::mimetype(), KFileItem::mode(), KURL::path(), and KFileItem::url(). Referenced by KFilePropsPlugin::KFilePropsPlugin().

void KPropsDlgPlugin::changed | ( |  | ) | `[signal]`

| Emit this signal when the user changed anything in the plugin's tabs. The hosting PropertiesDialog will call applyChanges only if the PropsPlugin has emitted this signal before. Referenced by KApplicationPropsPlugin::KApplicationPropsPlugin(), KBindingPropsPlugin::KBindingPropsPlugin(), KExecPropsPlugin::KExecPropsPlugin(), KFilePermissionsPropsPlugin::KFilePermissionsPropsPlugin(), KFilePropsPlugin::KFilePropsPlugin(), and KURLPropsPlugin::KURLPropsPlugin().

## Member Data Documentation

KPropertiesDialog* KPropsDlgPlugin::properties`[protected]`

| Pointer to the dialog. Definition at line 377 of file kpropertiesdialog.h. Referenced by KDevicePropsPlugin::applyChanges(), KBindingPropsPlugin::applyChanges(), KApplicationPropsPlugin::applyChanges(), KURLPropsPlugin::applyChanges(), KExecPropsPlugin::applyChanges(), KFilePermissionsPropsPlugin::applyChanges(), KFilePropsPlugin::applyChanges(), KFileSharePropsPlugin::applyChanges(), KApplicationPropsPlugin::KApplicationPropsPlugin(), KBindingPropsPlugin::KBindingPropsPlugin(), KExecPropsPlugin::KExecPropsPlugin(), KFileMetaPropsPlugin::KFileMetaPropsPlugin(), KFilePermissionsPropsPlugin::KFilePermissionsPropsPlugin(), KFilePropsPlugin::KFilePropsPlugin(), KPropsDlgPlugin(), KURLPropsPlugin::KURLPropsPlugin(), and KFilePropsPlugin::postApplyChanges().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:20:43 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001